import { IProvider, AuthSig } from '@lit-protocol/types';
/**
 *
 * Get Solana provider
 *
 * @returns { Promise<IProvider }
 */
export declare const connectSolProvider: () => Promise<IProvider>;
/**
 *
 * Check and sign solana auth message
 *
 * @returns { AuthSig }
 */
export declare const checkAndSignSolAuthMessage: () => Promise<AuthSig>;
/**
 *
 * Sign and save auth signature locally (not saved to the nodes)
 *
 * @property { any } provider
 * @return { Promise<AuthSig | undefined> }
 *
 */
export declare const signAndSaveAuthMessage: ({ provider, }: {
    provider: any;
}) => Promise<AuthSig>;
